% [f,g,H] = NewFun(x) : evaluate a new function
% By Sven Leyffer, Argonne National Laboratory, 2016
% -------------------------------------------------------------
function [f,g,H] = NewFun(x)
   f = sin( x(1) + x(2) ) + ( x(1) - x(2) )^2 - 1.5*x(1) + 2.5*x(2) + 1;
   if nargout > 1
      g    = zeros(2,1);      % ... make sure it's a column vector
      g(1) = cos( x(1) + x(2) ) + 2*( x(1) - x(2) ) - 1.5;
      g(2) = cos( x(1) + x(2) ) - 2*( x(1) - x(2) ) + 2.5;
   end
   if nargout > 2
      H(1,1) = -sin( x(1) + x(2) ) + 2;
      H(1,2) = -sin( x(1) + x(2) ) - 2;
      H(2,1) = -sin( x(1) + x(2) ) - 2;
      H(2,2) = -sin( x(1) + x(2) ) + 2;
   end


